Bug 1735 - SAVAGEDRIMoveBuffers not implemented
Summary: SAVAGEDRIMoveBuffers not implemented
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: General (show other bugs)
Version: DRI git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-29 11:45 UTC by Owen Taylor
Modified: 2005-10-18 22:16 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Taylor 2004-10-29 11:45:55 UTC
[ I'm filing this bug for the somewhat selfish reason of wanting an 
  URL to put into a code comment, I assume this is a known problem. ]

The core of SAVAGEDRIMoveBuffers is #ifdef'ed out currently. This 
means that 

 - If a window is moved while a window is drawing
 - If an application is only partially redrawing the 

The back buffer / depth buffer contents won't be moved along with the
window.

It's not immediately apparent why the code is #ifdef'ed out, presumably
it was causing problems of some sort. Most apps will work fine or
only momentarily misdraw without this.
Comment 1 Owen Taylor 2004-10-29 14:15:46 UTC
Moving to a more appropriate Product/Component.
Comment 2 Alex Deucher 2004-10-31 20:51:26 UTC
Owen, the savage DRI is still very much a work in progress.  it works for the
most part, but a lot of it still needs work, as you can see :)
There's a reason it's disabled by default.  Feel free to submit patches.
Comment 3 Owen Taylor 2004-11-01 08:41:13 UTC
Hey Alex,

It would be hard to spend too much time looking at the Savage code
and not figure out that it is a work in progress.

I'm taking the policy of filing bugs, basically because I have a 
embarassing habit of spending multiple hours debugging bugs that I
previously spent multiple hours debugging. Finding my own bug 
report when I search in bugzilla helps prevent that :-)

And secondarily, to let other people take advantage of any research
I've done on the bug rather than 

Such bugs should definitely not be taken as demands to fix or for
prioritization of the issue. I asked Felix and he seemed to be OK
with such bugs against the Savage driver, but if people object, I 
can definitely not file them.
Comment 4 Alex Deucher 2004-11-01 08:51:12 UTC
Owen, 

I didn't mean to come off wrong, please file bugs.  I just wanted to make sure
you understood the current state (some people don't) :)
Comment 5 Felix Kühling 2005-02-03 16:42:21 UTC
It was disabled because it was causing lockups on some hardware. I fixed the
lockups and reenabled MoveBuffers (as well as InitBuffers) on January 1. Closing.


bug/show.html.tmpl processed on Aug 31, 2016 at 16:03:19.
(provided by the Example extension).